## org.apache.commons.configuration.web
Class ServletContextConfiguration

    java.lang.Object
      org.apache.commons.configuration.event.EventSource
          org.apache.commons.configuration.AbstractConfiguration
              org.apache.commons.configuration.web.BaseWebConfiguration
                  org.apache.commons.configuration.web.ServletContextConfiguration

All Implemented Interfaces:
  Configuration

    public class ServletContextConfiguration

extends BaseWebConfiguration

A configuration wrapper to read the initialization parameters of a servlet context. This configuration is read only, adding or removing a property will throw an UnsupportedOperationException.

Since:
  1.1
Version:
  $Revision: 439648 $, $Date: 2006-09-02 22:42:10 +0200 (Sa, 02 Sep 2006) $
Author:
  Emmanuel Bourg

Field Summary
`protected ServletContext` `context` Stores the wrapped servlet context.

Fields inherited from class org.apache.commons.configuration.AbstractConfiguration
`END_TOKEN, EVENT_ADD_PROPERTY, EVENT_CLEAR, EVENT_CLEAR_PROPERTY, EVENT_SET_PROPERTY, START_TOKEN`

Constructor Summary
`ServletContextConfiguration(Servlet servlet)` Create a ServletContextConfiguration using the context of the specified servlet.
`ServletContextConfiguration(ServletContext context)` Create a ServletContextConfiguration using the servlet context initialization parameters.

Method Summary
`Iterator` `getKeys()` Get the list of the keys contained in the configuration.
`Object` `getProperty(String key)` Gets a property from the configuration.

Methods inherited from class org.apache.commons.configuration.web.BaseWebConfiguration
`addPropertyDirect, clearProperty, containsKey, isEmpty`

Methods inherited from class org.apache.commons.configuration.AbstractConfiguration

`addProperty, clear, clearPropertyDirect, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getDefaultListDelimiter, getDelimiter, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInt, getInt, getInteger, getKeys, getList, getList, getListDelimiter, getLong, getLong, getLong, getProperties, getProperties, getShort, getShort, getShort, getString, getString, getStringArray, interpolate, interpolate, interpolateHelper, isDelimiterParsingDisabled, isThrowExceptionOnMissing, resolveContainerStore, setDefaultListDelimiter, setDelimiter, setDelimiterParsingDisabled, setListDelimiter, setProperty, setThrowExceptionOnMissing, subset`

Methods inherited from class org.apache.commons.configuration.event.EventSource
`addConfigurationListener, clearConfigurationListeners, createEvent, fireEvent, getConfigurationListeners, isDetailEvents, removeConfigurationListener, setDetailEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected ServletContext context

  Stores the wrapped servlet context.

Constructor Detail

### ServletContextConfiguration

    public ServletContextConfiguration(Servlet servlet)

  Create a ServletContextConfiguration using the context of the specified servlet.

  Parameters:
    `servlet` - the servlet

### ServletContextConfiguration

    public ServletContextConfiguration(ServletContext context)

  Create a ServletContextConfiguration using the servlet context initialization parameters.

  Parameters:
    `context` - the servlet context

Method Detail

### getProperty

    public Object getProperty(String key)

  Description copied from interface: `Configuration`
  Gets a property from the configuration. This is the most basic get method for retrieving values of properties. In a typical implementation of the `Configuration` interface the other get methods (that return specific data types) will internally make use of this method. On this level variable substitution is not yet performed. The returned object is an internal representation of the property value for the passed in key. It is owned by the `Configuration` object. So a caller should not modify this object. It cannot be guaranteed that this object will stay constant over time (i.e. further update operations on the configuration may change its internal state).

  Parameters:
    `key` - property to retrieve
  Returns:
    the value to which this configuration maps the specified key, or null if the configuration contains no mapping for this key.

### getKeys

    public Iterator getKeys()

  Description copied from class: `AbstractConfiguration`
  Get the list of the keys contained in the configuration. The returned iterator can be used to obtain all defined keys. Note that the exact behavior of the iterator's `remove()` method is specific to a concrete implementation. It may remove the corresponding property from the configuration, but this is not guaranteed. In any case it is no replacement for calling ``Configuration.clearProperty(String)`` for this property. So it is highly recommended to avoid using the iterator's `remove()` method.

  Specified by:
    `getKeys` in interface `Configuration`
  Specified by:
    `getKeys` in class `AbstractConfiguration`
  Returns:
    An Iterator.

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.